## gmic 1.5.7.1

=== src/Makefile ===
#
#  File        : Makefile
#                ( Makefile for GNU 'make' utility )
#
#  Description : Makefile for compiling :
#
#                 . the G'MIC command line tool (type 'make').
#                 . the G'MIC plug-in for GIMP (type 'make gimp').
#                 . the G'MIC interpreter, as a C++ library (type 'make lib').
#
#                ( http://gmic.sourceforge.net )
#
#  Copyright   : David Tschumperle
#                ( http://tschumperle.users.greyc.fr/ )
#
#  License     : CeCILL v2.0
#                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#
#  This software is governed by the CeCILL  license under French law and
#  abiding by the rules of distribution of free software.  You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  "http://www.cecill.info".
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  In this respect, the user's attention is drawn to the risks associated
#  with loading,  using,  modifying and/or developing or reproducing the
#  software by the user in light of its specific status of free software,
#  that may mean  that it is complicated to manipulate,  and  that  also
#  therefore means  that it is reserved for developers  and  experienced
#  professionals having in-depth computer knowledge. Users are therefore
#  encouraged to load and test the software's suitability as regards their
#  requirements in conditions enabling the security of their systems and/or
#  data to be ensured and,  more generally, to use and operate it in the
#  same conditions as regards security.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL license and that you accept its terms.
#

#----------------------------------
# Set correct variables and paths.
#----------------------------------
OS := $(shell uname)
CC = g++
ifeq ($(OS),Linux)
OS = Unix
endif
ifeq ($(OS),GNU/kFreeBSD)
OS = Unix
endif
ifeq ($(OS),GNU)
OS = Unix
endif
ifeq ($(OS),Darwin)
PLUGINDIR = ~/Library/Application\ Support/Gimp/plug-ins
USR = /opt/local
else
PLUGINDIR = `gimptool-2.0 --gimpplugindir`/plug-ins
USR = /usr
endif
ifeq ($(OSTYPE),msys)
EXE = .exe
endif
ifeq ($(CC),g++)
IS_GCC = yes
endif

#------------------------------------------------
# Set compilation flags for build customization.
#------------------------------------------------

# Flags to enable 'beta' version.
IS_BETA_CFLAGS = -Dcimg_use_vt100 

# Flags that are mandatory to compile 'gmic'.
MANDATORY_CFLAGS += -Dgmic_build -I$(USR)/include
MANDATORY_LDFLAGS += -L$(USR)/lib
ifeq ($(IS_GCC),yes)
MANDATORY_CFLAGS += -Wall -W
MANDATORY_LDFLAGS += -lm
endif
MANDATORY_CFLAGS+=$(IS_BETA_CFLAGS)

# Flags to enable debugging.
DEBUG_CFLAGS = -Dcimg_use_vt100 -Dcimg_verbosity=3 -g

# Flags to enable optimizations.
ifeq ($(IS_GCC),yes)
OPT_CFLAGS = -O3 -mtune=generic # -fno-tree-pre # -ffast-math
endif
ifeq ($(CC),icc)
OPT_CFLAGS = -O3 -ipo -no-prec-div -override-limits
endif

# Flags to enable parallel processing.
ifneq ($(OSTYPE),Darwin)
PARALLEL_CFLAGS = -Dgmic_is_parallel
ifneq ($(OSTYPE),msys)
PARALLEL_LDFLAGS = -lpthread
endif
endif

# Flags to enable image display, using X11
# (keep /usr/ dirname here since X11 is located in /usr/ on Mac too).
# This requires the presence of the X11 include and library files.
# (package 'libx11-dev' on Debian).
X11_CFLAGS = -Dcimg_display=1 -Dcimg_appname=\\\"gmic\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
X11_LDFLAGS = -L/usr/X11R6/lib -lX11 -lpthread #-lXrandr

# Flags to enable fast display, using XShm.
# This requires the presence of the X11 extension include and library files.
# (package 'libx11-dev' on Debian).
XSHM_CFLAGS = -Dcimg_use_xshm
XSHM_LDFLAGS = -L$(USR)/X11R6/lib -lXext

# Flags to enable image display, using GDI32.
# This requires the presence of the GDI32 include and library files.
GDI32_CFLAGS = -Dcimg_display=2 -Dcimg_appname=\\\"gmic\\\"
GDI32_LDFLAGS = -lgdi32

# Flags to enable native support for PNG image files, using the PNG library.
# This requires the presence of the libpng include and library files.
# (package 'libpng12-dev' on Debian).
PNG_CFLAGS = -Dcimg_use_png
PNG_LDFLAGS = -lpng -lz

# Flags to enable native support for JPEG image files, using the JPEG library.
# This requires the presence of the libjpeg include and library files.
# (package 'libjpeg62-dev' on Debian).
JPEG_CFLAGS = -Dcimg_use_jpeg
JPEG_LDFLAGS = -ljpeg

# Flags to enable native support for TIFF image files, using the TIFF library.
# This requires the presence of the libtiff include and library files.
# (package 'libtiff4-dev' on Debian).
TIFF_CFLAGS = -Dcimg_use_tiff
TIFF_LDFLAGS = -ltiff

# Flags to enable native support for MINC2 image files, using the MINC2 library.
# ( http://en.wikibooks.org/wiki/MINC/Reference/MINC2.0_Users_Guide )
# (package 'libminc-dev' on Debian).
MINC2_CFLAGS = -Dcimg_use_minc2 -I${HOME}/local/include
MINC2_LDFLAGS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib

# Flags to enable native support for various video files, using the FFMPEG library.
# This requires the presence of the FFMPEG include and library files.
# (packages 'libavcodec-dev', 'libavutil-dev', 'libavformat-dev' and 'libswscale-dev' on Debian).
FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS -I$(USR)/include/libavcodec -I$(USR)/include/libavformat -I$(USR)/include/libswscale -I$(USR)/include/ffmpeg
FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale

# Flags to enable native support for compressed .cimgz files, using the Zlib library.
# This requires the presence of the Zlib include and library files.
# (package 'zlib1g-dev' on Debian).
ZLIB_CFLAGS = -Dcimg_use_zlib
ZLIB_LDFLAGS = -lz

# Flags to enable native support of webcams, using the OpenCV library.
# This requires the presence of the OpenCV include and library files.
# (package 'libcv3-2-dev' on Debian).
ifeq ($(OS),Darwin)
OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include -I$(USR)/include/opencv
OPENCV_LDFLAGS = `pkg-config opencv --libs`   #-> Use this for OpenCV 2.2.0 !
else
OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/include -I$(USR)/include/opencv
# OPENCV_LDFLAGS = -lcv -lhighgui
OPENCV_LDFLAGS = -lopencv_core -lopencv_highgui   #-> Use this for OpenCV >= 2.2.0 !
endif

# Flags to enable native support of most classical image file formats, using the GraphicsMagick++ library.
# This requires the presence of the GraphicsMagick++ include and library files.
# (package 'libgraphicsmagick++1-dev' on Debian).
MAGICK_CFLAGS = -Dcimg_use_magick -I$(USR)/include/GraphicsMagick
ifeq ($(OS),Darwin)
MAGICK_LDFLAGS = -L$(USR)/lib -lGraphicsMagick++ -lGraphicsMagick -llcms -ltiff -lfreetype -ljpeg -lpng -lbz2 -lxml2 -lz -lm -lltdl
else
MAGICK_LDFLAGS = -lGraphicsMagick++
endif

# Flags to enable native support of EXR file format, using the OpenEXR library/
# This requires the presence of the OpenEXR include and library files.
# (package 'libopenexr-dev' on Debian).
EXR_CFLAGS = -Dcimg_use_openexr -I$(USR)/include/OpenEXR
EXR_LDFLAGS = -lIlmImf -lHalf

# Flags to enable the use of the FFTW3 library.
# This requires the presence of the FFTW3 include and library files.
# (package 'libfftw3-dev' on Debian).
FFTW_CFLAGS = -Dcimg_use_fftw3
FFTW_LDFLAGS = -lfftw3 -lfftw3_threads
ifeq ($(OSTYPE),msys)
FFTW_LDFLAGS = -lfftw3-3
endif

# Flags to enable the use of the BOARD library.
# This requires the presence of the BOARD include and library files.
# (no packages exist for Debian at this time).
BOARD_CFLAGS = -Dcimg_use_board
BOARD_LDFLAGS = -lboard

#----------------------------------------------------------------
# Predefined sets of flags for different default configurations.
#----------------------------------------------------------------

# Unix : Standard build.
STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(X11_CFLAGS) $(PNG_CFLAGS) \
                  $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
	  	  $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(OPENCV_CFLAGS) $(FFMPEG_CFLAGS) $(XSHM_CFLAGS) # $(MAGICK_CFLAGS)
STD_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(PARALLEL_LDFLAGS) $(X11_LDFLAGS) $(PNG_LDFLAGS) \
		   $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
	           $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(OPENCV_LDFLAGS) $(FFMPEG_LDFLAGS) $(XSHM_LDFLAGS) # $(MAGICK_LDFLAGS)

# Unix : Minimal build.
MINIMAL_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS) ${TIFF_CFLAGS} ${PNG_CFLAGS} $(ZLIB_CFLAGS) $(FFTW_CFLAGS) # $(OPENCV_CFLAGS)
MINIMAL_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(PARALLEL_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS) ${TIFF_LDFLAGS} ${PNG_LDFLAGS} $(ZLIB_LDFLAGS) $(FFTW_LDFLAGS) # $(OPENCV_LDFLAGS)

# Unix : Static build.
STATIC_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) $(FFTW_CFLAGS) -Dcimg_display=0
STATIC_UNIX_LDFLAGS = $(PARALLEL_LDFLAGS) \
	              /usr/lib/libpng.a \
	              /usr/lib/libjpeg.a \
                      /usr/lib/libtiff.a \
                      /usr/lib/libz.a \
                      /usr/lib/libfftw3.a /usr/lib/libfftw3_threads.a

# Unix : Custom build.
CUST_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS) $(XSHM_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
	           $(FFTW_CFLAGS) $(EXR_CFLAGS) $(OPENCV_CFLAGS) # $(FFMPEG_CFLAGS) $(MAGICK_CFLAGS)  $(BOARD_CFLAGS) $(MINC2_CFLAGS)
CUST_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(PARALLEL_LDFLAGS) $(DEBUG_LDFLAGS) $(X11_LDFLAGS) $(XSHM_LDFLAGS) $(PNG_LDFLAGS) \
                    $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(ZLIB_LDFLAGS) \
	    	    $(FFTW_LDFLAGS) $(EXR_LDFLAGS) $(OPENCV_LDFLAGS) # $(FFMPEG_LDFLAGS) $(MAGICK_LDFLAGS) $(BOARD_LDFLAGS) $(MINC2_LDFLAGS)

# Windows : Standard build.
STD_WINDOWS_CFLAGS= $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(GDI32_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(FFTW_CFLAGS)
STD_WINDOWS_LDFLAGS = $(MANDATORY_LDFLAGS) $(PARALLEL_LDFLAGS) $(GDI32_LDFLAGS) $(ZLIB_LDFLAGS) $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) $(FFTW_LDFLAGS)

# Windows : Minimal build.
MINIMAL_WINDOWS_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(DEBUG_CFLAGS) $(GDI32_CFLAGS)
MINIMAL_WINDOWS_LDFLAGS = $(MANDATORY_LDFLAGS) $(PARALLEL_LDFLAGS) $(DEBUG_LDFLAGS) $(GDI32_LDFLAGS)

# Mac-OSX : Standard build.
STD_MACOSX_CFLAGS= $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(X11_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) \
		   $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(MAGICK_CFLAGS)
STD_MACOSX_LDFLAGS = $(MANDATORY_LDFLAGS) $(PARALLEL_LDFLAGS) $(X11_LDFLAGS) $(ZLIB_LDFLAGS) \
		     $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(TIFF_LDFLAGS) \
		     $(EXR_LDFLAGS) $(FFTW_LDFLAGS) # $(MAGICK_LDFLAGS)

# GIMP plug-in : Standard build.
STD_GIMP_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS) ${IS_BETA_CFLAGS} -Dcimg_display=0 -Dcimg_use_rng
STD_GIMP_LDFLAGS = $(MANDATORY_LDFLAGS) $(PARALLEL_LDFLAGS) $(FFTW_LDFLAGS) $(PNG_LDFLAGS) $(ZLIB_LDFLAGS)
ifeq ($(OSTYPE),msys)
STD_GIMP_LDFLAGS += -mwindows -lpthread
endif

# Libgmic : Standard build.
STD_LIB_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(FFTW_CFLAGS) -Dcimg_display=0
STD_LIB_LDFLAGS = $(MANDATORY_LDFLAGS) $(PARALLEL_LDFLAGS) $(FFTW_LDFLAGS)

# GMICol : Standard build.
GMICOL_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(ZLIB_CFLAGS) $(FFTW_CFLAGS) -Dcimg_display=0
GMICOL_UNIX_LDFLAGS = $(MANDATORY_LDFLAGS) $(PARALLEL_LDFLAGS) $(PNG_LDFLAGS) $(JPEG_LDFLAGS) $(ZLIB_LDFLAGS) /usr/lib/libfftw3.a /usr/lib/libfftw3_threads.a

=== zart/Makefile ===
#############################################################################
# Makefile for building: zart
# Generated by qmake (2.01a) (Qt 4.8.3) on: Wed Sep 18 12:58:07 2013
# Project:  zart.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile zart.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DOPENCV2_HEADERS -D_IS_UNIX_ -Dcimg_display=0 -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -ffast-math -Dcimg_use_fftw3 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I.. -Iinclude -I/usr/include/opencv -I../src -I.moc -I.ui
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/i386-linux-gnu -lX11 ../src/libgmic.a -lopencv_core -lopencv_imgproc -lopencv_highgui -lopencv_ml -lopencv_video -lopencv_features2d -lopencv_calib3d -lopencv_objdetect -lopencv_contrib -lopencv_legacy -lopencv_flann -lfftw3 -lfftw3_threads -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = src/WebcamGrabber.cpp \
		src/ImageView.cpp \
		src/MainWindow.cpp \
		src/ZArt.cpp \
		src/FilterThread.cpp \
		src/DialogAbout.cpp \
		src/CommandEditor.cpp \
		src/ImageConverter.cpp \
		src/DialogLicence.cpp .moc/moc_ImageView.cpp \
		.moc/moc_MainWindow.cpp \
		.moc/moc_FilterThread.cpp \
		.moc/moc_CommandEditor.cpp \
		qrc_zart.cpp
OBJECTS       = .obj/WebcamGrabber.o \
		.obj/ImageView.o \
		.obj/MainWindow.o \
		.obj/ZArt.o \
		.obj/FilterThread.o \
		.obj/DialogAbout.o \
		.obj/CommandEditor.o \
		.obj/ImageConverter.o \
		.obj/DialogLicence.o \
		.obj/moc_ImageView.o \
		.obj/moc_MainWindow.o \
		.obj/moc_FilterThread.o \
		.obj/moc_CommandEditor.o \
		.obj/qrc_zart.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		zart.pro
QMAKE_TARGET  = zart
DESTDIR       = 
TARGET        = zart

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): .ui/ui_MainWindow.h .ui/ui_DialogAbout.h .ui/ui_DialogLicence.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: zart.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/i386-linux-gnu/libQtXml.prl \
		/usr/lib/i386-linux-gnu/libQtGui.prl \
		/usr/lib/i386-linux-gnu/libQtNetwork.prl \
		/usr/lib/i386-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile zart.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/i386-linux-gnu/libQtXml.prl:
/usr/lib/i386-linux-gnu/libQtGui.prl:
/usr/lib/i386-linux-gnu/libQtNetwork.prl:
/usr/lib/i386-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile zart.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/zart1.0.0 || $(MKDIR) .obj/zart1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/zart1.0.0/ && $(COPY_FILE) --parents include/ImageView.h include/MainWindow.h include/WebcamGrabber.h include/FilterThread.h include/CommandEditor.h include/DialogAbout.h include/ImageConverter.h include/DialogLicence.h .obj/zart1.0.0/ && $(COPY_FILE) --parents zart.qrc .obj/zart1.0.0/ && $(COPY_FILE) --parents src/WebcamGrabber.cpp src/ImageView.cpp src/MainWindow.cpp src/ZArt.cpp src/FilterThread.cpp src/DialogAbout.cpp src/CommandEditor.cpp src/ImageConverter.cpp src/DialogLicence.cpp .obj/zart1.0.0/ && $(COPY_FILE) --parents ui/MainWindow.ui ui/DialogAbout.ui ui/DialogLicence.ui .obj/zart1.0.0/ && (cd `dirname .obj/zart1.0.0` && $(TAR) zart1.0.0.tar zart1.0.0 && $(COMPRESS) zart1.0.0.tar) && $(MOVE) `dirname .obj/zart1.0.0`/zart1.0.0.tar.gz . && $(DEL_FILE) -r .obj/zart1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_ImageView.cpp .moc/moc_MainWindow.cpp .moc/moc_FilterThread.cpp .moc/moc_CommandEditor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_ImageView.cpp .moc/moc_MainWindow.cpp .moc/moc_FilterThread.cpp .moc/moc_CommandEditor.cpp
.moc/moc_ImageView.cpp: include/ImageView.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/ImageView.h -o .moc/moc_ImageView.cpp

.moc/moc_MainWindow.cpp: .ui/ui_MainWindow.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih \
		include/FilterThread.h \
		include/Common.h \
		include/MainWindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/MainWindow.h -o .moc/moc_MainWindow.cpp

.moc/moc_FilterThread.cpp: include/Common.h \
		include/FilterThread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/FilterThread.h -o .moc/moc_FilterThread.cpp

.moc/moc_CommandEditor.cpp: include/CommandEditor.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) include/CommandEditor.h -o .moc/moc_CommandEditor.cpp

compiler_rcc_make_all: qrc_zart.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_zart.cpp
qrc_zart.cpp: zart.qrc \
		presets.xml \
		Licence_CeCILL_V2-en.html \
		images/zoom-original.png \
		images/Logo_150.png \
		images/zoom-fit-best.png \
		images/gmic_hat.png \
		images/application-exit.png \
		images/camera.png \
		images/media-playback-start.png \
		images/LogoGreyc.png \
		images/media-playback-stop.png
	/usr/bin/rcc -name zart zart.qrc -o qrc_zart.cpp

compiler_image_collection_make_all: .ui/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) .ui/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_MainWindow.h .ui/ui_DialogAbout.h .ui/ui_DialogLicence.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_MainWindow.h .ui/ui_DialogAbout.h .ui/ui_DialogLicence.h
.ui/ui_MainWindow.h: ui/MainWindow.ui \
		include/ImageView.h \
		include/CommandEditor.h
	/usr/bin/uic-qt4 ui/MainWindow.ui -o .ui/ui_MainWindow.h

.ui/ui_DialogAbout.h: ui/DialogAbout.ui
	/usr/bin/uic-qt4 ui/DialogAbout.ui -o .ui/ui_DialogAbout.h

.ui/ui_DialogLicence.h: ui/DialogLicence.ui
	/usr/bin/uic-qt4 ui/DialogLicence.ui -o .ui/ui_DialogLicence.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

.obj/WebcamGrabber.o: src/WebcamGrabber.cpp include/Common.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/WebcamGrabber.o src/WebcamGrabber.cpp

.obj/ImageView.o: src/ImageView.cpp include/ImageView.h \
		include/Common.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/ImageView.o src/ImageView.cpp

.obj/MainWindow.o: src/MainWindow.cpp include/Common.h \
		include/DialogAbout.h \
		.ui/ui_DialogAbout.h \
		include/DialogLicence.h \
		.ui/ui_DialogLicence.h \
		include/ImageConverter.h \
		include/ImageView.h \
		include/MainWindow.h \
		.ui/ui_MainWindow.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih \
		include/FilterThread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/MainWindow.o src/MainWindow.cpp

.obj/ZArt.o: src/ZArt.cpp include/WebcamGrabber.h \
		include/WebcamGrabber.ih \
		include/Common.h \
		include/MainWindow.h \
		.ui/ui_MainWindow.h \
		include/FilterThread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/ZArt.o src/ZArt.cpp

.obj/FilterThread.o: src/FilterThread.cpp include/FilterThread.h \
		include/Common.h \
		include/ImageConverter.h \
		include/WebcamGrabber.h \
		include/WebcamGrabber.ih
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/FilterThread.o src/FilterThread.cpp

.obj/DialogAbout.o: src/DialogAbout.cpp include/DialogAbout.h \
		.ui/ui_DialogAbout.h \
		include/Common.h

=== debian/changelog ===
gmic (1.5.7.1-4) unstable; urgency=low

  * [223f8c2f] Simplyfy optimization setting selection.
    Low memory always results in -O0 now.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 13 Oct 2013 14:34:39 +0200

gmic (1.5.7.1-3) unstable; urgency=low

  * [08debe3f] Build with -O1 on slow architectures.

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 12 Oct 2013 23:37:24 +0200

gmic (1.5.7.1-2) unstable; urgency=low

  * [6c37ae00] Updating description as suggested by upstream.
  * [ef5bff79] Drop -mtune=generic option from upstream's Makefile.
    Thanks to KiBi (Closes: #725525)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 06 Oct 2013 22:10:09 +0200

gmic (1.5.7.1-1) unstable; urgency=low

  * [8093b566] Merge tag 'upstream/1.5.5.2'
    Upstream version 1.5.5.2
  * [847b448f] Refreshing patches.
  * [4c998e58] Updating changelog
  * [a1021632] Drop kfreebsd-support patch, it was applied upstream.
  * [fe31bbc1] Imported Upstream version 1.5.7.0
  * [9c47c7df] Imported Upstream version 1.5.7.1
    - Should build fine under hurd (Closes: #705708,
      thanks to Pino Toscano).
    - Upstream tarball doesn't need to be repackaged anymore, dropping
      +dfsg from version number.
  * [abd7c2cb] Different hack to enable building on machines with low ram.
    Instead of disabling all optimizations, use
    -fno-tree-pre on machines with low ram / slow cpus.
  * [a8882c63] Use MANDATORY_LDFLAGS/MANDATORY_CFLAGS.
  * [9507d072] Fix passing MANDATORY_* flags to make.
  * [3af37ccf] Add missing library symlink for devel package.
  * [b17c2c9a] Add libgmic1 and libgmic-dev.
  * [d92ef057] Fix gmic.install and dh_install calls.
  * [967b8767] Refreshing patches.
  * [d81f1188] Remove special git-import-orig rules from debian/gbp.conf
  * [0e043a5c] Remove dh_auto_configure override. zart/Makefile is not
    being shipped in the tarball anymore.
  * [33ae4a9b] Fixing various lintian warnings.
  * [00ead79b] Merge branch 'upstream'
    Upstream tarball re-release with fixes for our lintian errors.
    Thanks, David!
  * [ec797fd5] Revert "Remove dh_auto_configure override."
    This reverts commit 0e043a5c876613884c3ace8ad7a7ebcbfb4deef9.
  * [23229c12] Revert "Add missing library symlink for devel package."
    This reverts commit 3af37ccfc8da06d5247e42e9bfb9149686cd2e5e.
  * [9ed51a86] Add patch fixing ldconfig-symlink-referencing-wrong-file.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 22 Sep 2013 21:43:33 +0200

=== debian/control ===
Source: gmic
Section: graphics
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 8.1.3),
 dpkg-dev (>= 1.16.0),
 dh-exec (>=0.3),
 libgimp2.0-dev (>= 2.4),
 libavcodec-dev, libavformat-dev, libswscale-dev,
 libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
 libopencv-highgui-dev, libopencv-objdetect-dev, libopencv-imgproc-dev, libopenexr-dev, libqt4-dev
Standards-Version: 3.9.4
Homepage: http://gmic.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/gmic.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gmic.git

Package: gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gimp-gmic, gmic-zart
Multi-Arch: foreign
Description: GREYC's Magic for Image Computing
 G'MIC is an open and full-featured framework for image processing,
 providing several different user interfaces to
 convert/manipulate/filter/visualize generic image datasets, from 1d
 scalar signals to 3d+t sequences of multi-spectral volumetric images.
 .
 This package contains the stand-alone gmic binary.

Package: gmic-zart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gmic
Replaces: gmic (<< 1.5.1.6+dfsg-3~)
Breaks: gmic (<< 1.5.1.6+dfsg-3~)
Multi-Arch: foreign
Description: GREYC's Magic for Image Computing - ZArt
 G'MIC is an open and full-featured framework for image processing,
 providing several different user interfaces to
 convert/manipulate/filter/visualize generic image datasets, from 1d
 scalar signals to 3d+t sequences of multi-spectral volumetric images.
 .
 This package contains ZArt, a program whose purpose is to demonstrate
 the possibilities of the G'MIC image processing language by offering
 the choice of several manipulations on a video stream acquired from a
 webcam. In other words, ZArt is a GUI for G'MIC real-time manipulations
 on the output of a webcam.

Package: gimp-gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gimp (>= 2.6)
Suggests: gmic
Enhances: gimp
Multi-Arch: foreign
Description: GREYC's Magic for Image Computing - GIMP Plugin
 G'MIC is an open and full-featured framework for image processing,
 providing several different user interfaces to
 convert/manipulate/filter/visualize generic image datasets, from 1d
 scalar signals to 3d+t sequences of multi-spectral volumetric images.
 .
 This package contains the GIMP plugin.

Package: libgmic1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Section: libs
Description: GREYC's Magic for Image Computing - shared library
 G'MIC is an open and full-featured framework for image processing,
 providing several different user interfaces to
 convert/manipulate/filter/visualize generic image datasets, from 1d
 scalar signals to 3d+t sequences of multi-spectral volumetric images.
 .
 This package contains the shared library.

Package: libgmic-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libgmic1 (= ${binary:Version})
Description: GREYC's Magic for Image Computing - development files
 G'MIC is an open and full-featured framework for image processing,
 providing several different user interfaces to
 convert/manipulate/filter/visualize generic image datasets, from 1d
 scalar signals to 3d+t sequences of multi-spectral volumetric images.
 .
 This package contains the development files for libgmic.

=== debian/rules ===
#!/usr/bin/make -f

BUILDD_MEM := $(shell awk '/^MemTotal:/ {print $$2}' /proc/meminfo)
BUILDD_MEM_OK := $(strip $(shell test $(BUILDD_MEM) -gt 1800000 && echo yes))

BUILDD_SLOW_ARCH := $(strip $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU | \
  									grep -q -E '^(arm|mips|sh4|m68k).*' && echo yes))


ifneq (yes,$(BUILDD_MEM_OK))
  GMIC_CFLAGS = -O0 -g
else
  ifneq (yes,$(BUILDD_SLOW_ARCH))
    GMIC_CFLAGS = -O3 -g
  else
    GMIC_CFLAGS = -O1 -g -fno-tree-pre
  endif
endif


%:
	dh $@ --sourcedirectory=src

clean:
	if [ -f zart/Makefile_old ]; then mv zart/Makefile_old zart/Makefile; fi
	rm -f src/gmic_use_lib
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	cp zart/Makefile zart/Makefile_old
	dh_auto_configure

override_dh_auto_test: 
	# no tests please.

override_dh_compress:
	dh_compress -X.shtml -X.rss -X.js -X.ppm

override_dh_auto_build:
	export MANDATORY_LDFLAGS="-Wl,--as-needed" ;\
		export MANDATORY_CFLAGS="$(GMIC_CFLAGS) -I. -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libswscale/" ;\
		dh_auto_build --sourcedirectory=src


override_dh_install:
	chmod 755 debian/libgmic*.install
	dh_install --fail-missing

.PHONY: override_dh_auto_test override_dh_compress override_dh_auto_build override_dh_install

# vim:ts=4 sw=2 noet

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg.*// \
http://sf.net/gmic/gmic_([0-9.]+).tar.gz

## gmic 1.6.0.1

=== src/Makefile ===
#
#  File        : Makefile
#                ( Makefile for GNU 'make' utility )
#
#  Description : Makefile for compiling :
#
#                 . the G'MIC command line tool (type 'make').
#                 . the G'MIC plug-in for GIMP (type 'make gimp').
#                 . the G'MIC interpreter, as a C++ library (type 'make lib').
#                 . the ZArt software (type 'make zart').
#
#                ( http://gmic.sourceforge.net )
#
#  Copyright   : David Tschumperle
#                ( http://tschumperle.users.greyc.fr/ )
#
#  License     : CeCILL v2.0
#                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#
#  This software is governed by the CeCILL  license under French law and
#  abiding by the rules of distribution of free software.  You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  "http://www.cecill.info".
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  In this respect, the user's attention is drawn to the risks associated
#  with loading,  using,  modifying and/or developing or reproducing the
#  software by the user in light of its specific status of free software,
#  that may mean  that it is complicated to manipulate,  and  that  also
#  therefore means  that it is reserved for developers  and  experienced
#  professionals having in-depth computer knowledge. Users are therefore
#  encouraged to load and test the software's suitability as regards their
#  requirements in conditions enabling the security of their systems and/or
#  data to be ensured and,  more generally, to use and operate it in the
#  same conditions as regards security.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL license and that you accept its terms.
#

#----------------------------------
# Set correct variables and paths.
#----------------------------------
OS := $(shell uname)
CC = g++
ifeq ($(OS),Linux)
OS = Unix
endif
ifeq ($(OS),GNU/kFreeBSD)
OS = Unix
endif
ifeq ($(OS),GNU)
OS = Unix
endif
ifeq ($(OS),Darwin)
PLUGINDIR = ~/Library/Application\ Support/Gimp/plug-ins
USR = /opt/local
else
PLUGINDIR = `gimptool-2.0 --gimpplugindir`/plug-ins
USR = /usr
endif
ifeq ($(OSTYPE),msys)
EXE = .exe
endif
LIB=lib
BIN=bin
INCLUDE=include

#------------------------------------------------
# Set compilation flags for build customization.
#------------------------------------------------

# Flags to enable 'beta' version.
IS_BETA_CFLAGS = 

# Flags that are mandatory to compile 'gmic'.
MANDATORY_CFLAGS += -std=c++11 -Dgmic_build -I$(USR)/$(INCLUDE)
MANDATORY_LIBS += -L$(USR)/$(LIB)
ifeq ($(CC),g++)
MANDATORY_CFLAGS += -Wall -W
MANDATORY_LIBS += -lm
endif
MANDATORY_CFLAGS += $(IS_BETA_CFLAGS)
ifeq ($(OS),Unix)
MANDATORY_CFLAGS += -Dcimg_use_vt100
endif
ifeq ($(OS),Darwin)
MANDATORY_CFLAGS += -stdlib=libc++
endif
ifeq ($(OSTYPE),msys)
MANDATORY_LIBS = -Wl,--stack,16777216
endif

# Flags to enable debugging.
DEBUG_CFLAGS = -Dcimg_verbosity=3 -g

# Flags to enable optimizations.
ifeq ($(CC),g++)
ifeq ($(OS),Darwin)
OPT_CFLAGS = -O2 -mtune=generic
else
OPT_CFLAGS = -O2 -fno-ipa-sra -mtune=generic
endif
else
ifeq ($(CC),icpc)
OPT_CFLAGS = -fast
else
OPT_CFLAGS = -O2
endif
endif

# Flags to enable parallel processing.
ifneq ($(OS),Darwin)
PARALLEL_CFLAGS = -Dgmic_is_parallel
ifneq ($(OSTYPE),msys)
PARALLEL_LIBS = -lpthread
endif
endif

# Flags to enable extra checking of image buffer pointers.
ifneq ($(OS),Darwin)
CHECKIMAGE_CFLAGS = -Dgmic_check_image
endif

# Flags to enable parallelization using OpenMP.
OPENMP_CFLAGS = -fopenmp -Dcimg_use_openmp
OPENMP_LIBS = -lgomp

# Flags to enable image display, using X11
# (keep /usr/ dirname here since X11 is located in /usr/ on Mac too).
# This requires the presence of the X11 include and library files.
# (package 'libx11-dev' on Debian).
X11_CFLAGS = -Dcimg_display=1 -Dcimg_appname=\\\"gmic\\\" -I/usr/X11R6/include #-Dcimg_use_xrandr
X11_LIBS = -L/usr/X11R6/lib -lX11 -lpthread #-lXrandr

# Flags to enable fast display, using XShm.
# This requires the presence of the X11 extension include and library files.
# (package 'libx11-dev' on Debian).
XSHM_CFLAGS = -Dcimg_use_xshm
XSHM_LIBS = -L$(USR)/X11R6/lib -lXext

# Flags to enable image display, using GDI32.
# This requires the presence of the GDI32 include and library files.
GDI32_CFLAGS = -Dcimg_display=2 -Dcimg_appname=\\\"gmic\\\"
GDI32_LIBS = -lgdi32

# Flags to enable native support for PNG image files, using the PNG library.
# This requires the presence of the libpng include and library files.
# (package 'libpng12-dev' on Debian).
PNG_CFLAGS = -Dcimg_use_png
PNG_LIBS = -lpng -lz

# Flags to enable native support for JPEG image files, using the JPEG library.
# This requires the presence of the libjpeg include and library files.
# (package 'libjpeg62-dev' on Debian).
JPEG_CFLAGS = -Dcimg_use_jpeg
JPEG_LIBS = -ljpeg

# Flags to enable native support for TIFF image files, using the TIFF library.
# This requires the presence of the libtiff include and library files.
# (package 'libtiff4-dev' on Debian).
TIFF_CFLAGS = -Dcimg_use_tiff
TIFF_LIBS = -ltiff

# Flags to enable native support for MINC2 image files, using the MINC2 library.
# ( http://en.wikibooks.org/wiki/MINC/Reference/MINC2.0_Users_Guide )
# (package 'libminc-dev' on Debian).
MINC2_CFLAGS = -Dcimg_use_minc2 -I${HOME}/local/include
MINC2_LIBS = -lminc_io -lvolume_io2 -lminc2 -lnetcdf -lhdf5 -lz -L${HOME}/local/lib

# Flags to enable native support for various video files, using the FFMPEG library.
# This requires the presence of the FFMPEG include and library files.
# (packages 'libavcodec-dev', 'libavutil-dev', 'libavformat-dev' and 'libswscale-dev' on Debian).
FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -D__STDC_CONSTANT_MACROS -I$(USR)/$(INCLUDE)/libavcodec -I$(USR)/$(INCLUDE)/libavformat -I$(USR)/$(INCLUDE)/libswscale -I$(USR)/$(INCLUDE)/ffmpeg
FFMPEG_LIBS = -lavcodec -lavformat -lswscale

# Flags to enable native support for compressed .cimgz files, using the Zlib library.
# This requires the presence of the Zlib include and library files.
# (package 'zlib1g-dev' on Debian).
ZLIB_CFLAGS = -Dcimg_use_zlib
ZLIB_LIBS = -lz

# Flags to enable native support of webcams, using the OpenCV library.
# This requires the presence of the OpenCV include and library files.
# (package 'libcv3-2-dev' on Debian).
ifeq ($(OS),Darwin)
OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/$(INCLUDE) -I$(USR)/$(INCLUDE)/opencv
OPENCV_LIBS = `pkg-config opencv --libs`   #-> Use this for OpenCV 2.2.0 !
else
OPENCV_CFLAGS = -Dcimg_use_opencv -I$(USR)/$(INCLUDE) -I$(USR)/$(INCLUDE)/opencv
# OPENCV_LIBS = -lcv -lhighgui
OPENCV_LIBS = -lopencv_core -lopencv_highgui   #-> Use this for OpenCV >= 2.2.0 !
endif

# Flags to enable native support of most classical image file formats, using the GraphicsMagick++ library.
# This requires the presence of the GraphicsMagick++ include and library files.
# (package 'libgraphicsmagick++1-dev' on Debian).
MAGICK_CFLAGS = -Dcimg_use_magick -I$(USR)/$(INCLUDE)/GraphicsMagick
ifeq ($(OS),Darwin)
MAGICK_LIBS = -L$(USR)/$(LIB) -lGraphicsMagick++ -lGraphicsMagick -llcms -ltiff -lfreetype -ljpeg -lpng -lbz2 -lxml2 -lz -lm -lltdl
else
MAGICK_LIBS = -lGraphicsMagick++
endif

# Flags to enable native support of EXR file format, using the OpenEXR library/
# This requires the presence of the OpenEXR include and library files.
# (package 'libopenexr-dev' on Debian).
EXR_CFLAGS = -Dcimg_use_openexr -I$(USR)/$(INCLUDE)/OpenEXR
EXR_LIBS = -lIlmImf -lHalf

# Flags to enable the use of the FFTW3 library.
# This requires the presence of the FFTW3 include and library files.
# (package 'libfftw3-dev' on Debian).
FFTW_CFLAGS = -Dcimg_use_fftw3
FFTW_LIBS = -lfftw3 -lfftw3_threads
ifeq ($(OSTYPE),msys)
FFTW_LIBS = -lfftw3-3
endif

# Flags to enable the use of the BOARD library.
# This requires the presence of the BOARD include and library files.
# (no packages exist for Debian at this time).
BOARD_CFLAGS = -Dcimg_use_board
BOARD_LIBS = -lboard

#----------------------------------------------------------------
# Predefined sets of flags for different default configurations.
#----------------------------------------------------------------

# Unix : Standard build.
STD_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(OPENMP_CFLAGS) $(X11_CFLAGS) $(PNG_CFLAGS) \
                  $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(ZLIB_CFLAGS) \
	  	  $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(XSHM_CFLAGS) $(OPENCV_CFLAGS) $(FFMPEG_CFLAGS) # $(MAGICK_CFLAGS)
STD_UNIX_LIBS = $(MANDATORY_LIBS) $(PARALLEL_LIBS) $(OPENMP_LIBS) $(X11_LIBS) $(PNG_LIBS) \
		   $(JPEG_LIBS) $(TIFF_LIBS) $(ZLIB_LIBS) \
	           $(EXR_LIBS) $(FFTW_LIBS) # $(XSHM_LIBS) $(OPENCV_LIBS) $(FFMPEG_LIBS) # $(MAGICK_LIBS)

# Unix : Minimal build.
MINIMAL_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(OPENMP_CFLAGS) $(DEBUG_CFLAGS) $(X11_CFLAGS) \
	              ${TIFF_CFLAGS} ${PNG_CFLAGS} $(ZLIB_CFLAGS) $(FFTW_CFLAGS) $(CHECKIMAGE_CFLAGS) # $(OPENCV_CFLAGS)
MINIMAL_UNIX_LIBS = $(MANDATORY_LIBS) $(PARALLEL_LIBS) $(OPENMP_LIBS) $(X11_LIBS) \
	               ${TIFF_LIBS} ${PNG_LIBS} $(ZLIB_LIBS) $(FFTW_LIBS) # $(OPENCV_LIBS)

# Unix : Static build.
STATIC_PATH = $(USR)/${LIB}/x86_64-linux-gnu
STATIC_EXTRA =
STATIC_UNIX_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(ZLIB_CFLAGS) $(FFTW_CFLAGS) -Dcimg_display=0
STATIC_UNIX_LIBS = $(PARALLEL_LIBS) \
	              $(STATIC_PATH)/libpng.a \
	              $(STATIC_PATH)/libjpeg.a \
                      $(STATIC_PATH)/libz.a \
                      $(STATIC_PATH)/libfftw3.a $(STATIC_PATH)/libfftw3_threads.a $(STATIC_EXTRA)

# Windows : Standard build.
STD_WINDOWS_CFLAGS= $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(OPENMP_CFLAGS) $(GDI32_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) $(JPEG_CFLAGS) $(TIFF_CFLAGS) $(FFTW_CFLAGS)
STD_WINDOWS_LIBS = $(MANDATORY_LIBS) $(PARALLEL_LIBS) $(OPENMP_LIBS) $(GDI32_LIBS) $(ZLIB_LIBS) $(PNG_LIBS) $(JPEG_LIBS) $(TIFF_LIBS) $(FFTW_LIBS)

# Windows : Minimal build.
MINIMAL_WINDOWS_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(OPENMP_CFLAGS) $(DEBUG_CFLAGS) $(GDI32_CFLAGS) $(CHECKIMAGE_CFLAGS)
MINIMAL_WINDOWS_LIBS = $(MANDATORY_LIBS) $(PARALLEL_LIBS) $(OPENMP_LIBS) $(GDI32_LIBS)

# Mac-OSX : Standard build.
STD_MACOSX_CFLAGS= $(MANDATORY_CFLAGS) $(X11_CFLAGS) $(ZLIB_CFLAGS) $(PNG_CFLAGS) \
                   $(JPEG_CFLAGS) $(TIFF_CFLAGS) \
		   $(EXR_CFLAGS) $(FFTW_CFLAGS) # $(MAGICK_CFLAGS)
STD_MACOSX_LIBS = $(MANDATORY_LIBS) $(X11_LIBS) $(ZLIB_LIBS) \
		     $(PNG_LIBS) $(JPEG_LIBS) $(TIFF_LIBS) \
		     $(EXR_LIBS) $(FFTW_LIBS) # $(MAGICK_LIBS)

# GIMP plug-in : Standard build.
STD_GIMP_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(OPENMP_CFLAGS) $(FFTW_CFLAGS) $(PNG_CFLAGS) $(ZLIB_CFLAGS) ${IS_BETA_CFLAGS} -Dcimg_use_rng
STD_GIMP_LIBS = $(MANDATORY_LIBS) $(PARALLEL_LIBS) $(OPENMP_LIBS) $(FFTW_LIBS) $(PNG_LIBS) $(ZLIB_LIBS)
ifeq ($(OS),Unix)
STD_GIMP_CFLAGS += $(X11_CFLAGS)
STD_GIMP_LIBS += $(X11_LIBS)
else
ifeq ($(OS),Darwin)
STD_GIMP_CFLAGS += $(X11_CFLAGS)
STD_GIMP_LIBS += $(X11_LIBS)
else
STD_GIMP_CFLAGS += -mwindows -lpthread $(GDI32_CFLAGS)
STD_GIMP_LIBS += -mwindows -lpthread $(GDI32_LIBS)
endif
endif

# Libgmic : Standard build.
ifeq ($(OS),Darwin)
STD_LIB_CFLAGS = $(MANDATORY_CFLAGS) $(FFTW_CFLAGS) -Dcimg_display=0 # $(PARALLEL_CFLAGS) $(OPENMP_CFLAGS) -fno-ipa-sra
STD_LIB_LIBS = $(MANDATORY_LIBS) $(FFTW_LIBS) #  $(PARALLEL_LIBS) $(OPENMP_LIBS)
else
STD_LIB_CFLAGS = $(MANDATORY_CFLAGS) $(PARALLEL_CFLAGS) $(OPENMP_CFLAGS) $(FFTW_CFLAGS) -Dcimg_display=0 # -fno-ipa-sra
STD_LIB_LIBS = $(MANDATORY_LIBS) $(PARALLEL_LIBS) $(OPENMP_LIBS) $(FFTW_LIBS)
endif

=== debian/changelog ===
gmic (1.6.0.1-1) unstable; urgency=medium

  * [43756de5] Merge tag 'upstream/1.6.0.1'
    Upstream version 1.6.0.1
  * [4a698aee] refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 22 Oct 2014 23:04:52 +0200

gmic (1.6.0.0-1) unstable; urgency=medium

  * [2448f469] Merge tag 'upstream/1.5.8.6'
    Upstream version 1.5.8.6
  * [4207852d] Refreshing patches.
  * [3a1b1d4d] Remove libav* build-dependencies.
    They are not used right now.
  * [192a118f] Keep building zart - was disable dby upstream.
  * [3d668b4a] Merge tag 'upstream/1.6.0.0'
    Upstream version 1.6.0.0
  * [c369f4c8] Re-check build-dependencies.
    libav-* were removed before already. (Closes: #755815)
  * [a6ebfc17] Refreshing patches.
  * [d056c91f] copy zart/Makefile only if it exists.
  * [68d88091] Update gmic-zart.install

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 26 Aug 2014 17:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,14 @@
  dpkg-dev (>= 1.16.0),
  dh-exec (>=0.3),
  libgimp2.0-dev (>= 2.4),
- libavcodec-dev, libavformat-dev, libswscale-dev,
  libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
- libopencv-highgui-dev, libopencv-objdetect-dev, libopencv-imgproc-dev, libopenexr-dev, libqt4-dev
+ libopencv-core-dev,
+ libopencv-highgui-dev,
+ libopencv-objdetect-dev,
+ libopencv-imgproc-dev,
+ libopenexr-dev,
+ libqt4-dev,
+ libilmbase-dev
 Standards-Version: 3.9.4
 Homepage: http://gmic.sourceforge.net/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gmic.git

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh $@ --sourcedirectory=src
 
 override_dh_auto_configure:
-	cp zart/Makefile zart/Makefile_old
+	if [ -f Makefile ]; then cp zart/Makefile zart/Makefile_old; fi
 	dh_auto_configure
 
 override_dh_auto_test:
